import {
  executeTemplate,
  buildFixture,
} from "@constructor-io/constructorio-connect-cli";

describe("grouping", () => {
  it("should match file snapshot", async () => {
    const result = await executeTemplate({
      type: "grouping",
      name: "grouping.jsonata",
      fixture: buildFixture("variation", "variation.json", {
        name: "New Variation Name",
      }),
    });

    // Alternatively, you can also store the snapshot in a file to reduce clutter.
    // expect(result).toMatchSnapshot();

    expect(result).toMatchInlineSnapshot(`
{
  "id": "42-red",
  "item_name": "New Variation Name",
}
`);
  });
});
